Loading...
Searching...
No Matches
pw_protocol_implementation Struct Reference
Implementation API » Protocol

`#include <pipewire/protocol.h>`

## Data Fields

uint32_t | version
struct pw_protocol_client *(* | new_client )(struct pw_protocol *protocol, struct pw_core *core, const struct spa_dict *props)
struct pw_protocol_server *(* | add_server )(struct pw_protocol *protocol, struct pw_impl_core *core, const struct spa_dict *props)

## Field Documentation

## version

uint32_t pw_protocol_implementation::version

## new_client

struct pw_protocol_client *(* pw_protocol_implementation::new_client) (struct pw_protocol *protocol, struct pw_core *core, const struct spa_dict *props)

## add_server

struct pw_protocol_server *(* pw_protocol_implementation::add_server) (struct pw_protocol *protocol, struct pw_impl_core *core, const struct spa_dict *props)

The documentation for this struct was generated from the following file:

- pipewire/protocol.h